# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(File/Spec/Functions.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Module-Inspector
Version:        1.05
Release:        alt1_14
Summary:        Integrated API for inspecting Perl distributions
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Module-Inspector/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/Module-Inspector-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(File/Find/Rule/Perl.pm)
BuildRequires:  perl(File/Find/Rule/VCS.pm)
BuildRequires:  perl(Module/Extract.pm)
BuildRequires:  perl(Module/Manifest.pm)
BuildRequires:  perl(Module/Math/Depends.pm)
BuildRequires:  perl(Params/Util.pm)
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  perl(YAML/Tiny.pm)
Requires:       perl(File/Find/Rule.pm)
Requires:       perl(File/Find/Rule/Perl.pm)
Requires:       perl(File/Find/Rule/VCS.pm) >= 1.02
Requires:       perl(Module/Extract.pm) >= 0.01
Requires:       perl(Module/Manifest.pm) >= 0.01
Requires:       perl(Module/Math/Depends.pm) >= 0.02
Requires:       perl(Params/Util.pm) >= 0.17
Requires:       perl(PPI.pm) >= 1.118
Requires:       perl(version.pm) >= 0.74
Requires:       perl(YAML/Tiny.pm) >= 1.00
Source44: import.info

%description
An entire ecosystem of CPAN modules exist around the files and formats
relating to the CPAN itself. Parsers and object models for various
different types of files have been created over the years by various people
for various projects.

%prep
%setup -q -n Module-Inspector-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_14
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_13
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_11
- fc import

